> ## Documentation Index
> Fetch the complete documentation index at: https://docsv2.sportxapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Worm / Graph

> Run progression graph payload for charting run-rate and projection.



## OpenAPI

````yaml /openapi.json get /cricket/api/v2/match/{}/graph
openapi: 3.1.0
info:
  title: SportXAPI Cricket API
  version: 2.0.0
  description: >-
    SportXAPI is a low-latency cricket data API delivering realtime ball-by-ball
    commentary, live scores, detailed match scorecards, tournaments, team/player
    statistics, ICC rankings, and news.
servers:
  - url: https://apiv2.sportxapi.com
    description: Production API (Paid keys)
  - url: https://api.sportxapi.com
    description: Demo & Testing API (Free/Demo tier)
security: []
paths:
  /cricket/api/v2/match/{}/graph:
    get:
      tags:
        - Live Matches & Ball-by-Ball
      summary: Worm / Graph
      description: Run progression graph payload for charting run-rate and projection.
      operationId: match_graph
      parameters:
        - name: matchId
          in: path
          required: true
          description: Match identifier.
          schema:
            type: string
            example: '100123'
      responses:
        '200':
          description: Successful Response (JSON)
          content:
            application/json:
              schema:
                type: object
              example:
                runRate:
                  format: FIRST CLASS
                  inningsPhase:
                    - ins: 0
                      highestRunrate: '4.63'
                      teamID: '1038'
                      teamShortName: ENG-U19
                      totalRuns: '333'
                      innings: '1'
                      totalWickets: '10'
                      data:
                        - '[object]'
                        - '[object]'
                    - ins: 1
                      highestRunrate: '5.58'
                      teamID: '1148'
                      teamShortName: PAK-U19
                      totalRuns: '305'
                      innings: '2'
                      totalWickets: '10'
                      data:
                        - '[object]'
                        - '[object]'
                scoreChart:
                  format: FIRST CLASS
                  inningsPhase:
                    - id: '1'
                      teamID: '1038'
                      teamShortName: ENG-U19
                      totalRuns: 333
                      totalWickets: 10
                      data:
                        - '[object]'
                        - '[object]'
                    - id: '2'
                      teamID: '1148'
                      teamShortName: PAK-U19
                      totalRuns: 305
                      totalWickets: 10
                      data:
                        - '[object]'
                        - '[object]'
                wormChart:
                  format: FIRST CLASS
                  inningsPhase:
                    - id: '1'
                      teamID: '1038'
                      teamShortName: ENG-U19
                      totalRuns: 333
                      totalWickets: 10
                      data:
                        - '[object]'
                        - '[object]'
                    - id: '2'
                      teamID: '1148'
                      teamShortName: PAK-U19
                      totalRuns: 305
                      totalWickets: 10
                      data:
                        - '[object]'
                        - '[object]'
        '401':
          description: Unauthorized - Missing or invalid X-API-Key header
          content:
            application/json:
              example:
                error: 'Unauthorized: Missing or invalid API key'
        '429':
          description: Too Many Requests - Rate limit or monthly quota exceeded
          content:
            application/json:
              example:
                error: Quota limit exceeded for current billing cycle
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your SportXAPI secret key from the customer dashboard.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.